Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::InvalidSlot Exception Reference

`#include <PortableInterceptorC.h>`

List of all members.

## Public Methods
| InvalidSlot (void)
| InvalidSlot (const InvalidSlot &)
| ~InvalidSlot (void)
InvalidSlot & | operator= (const InvalidSlot &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
InvalidSlot * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableInterceptor::InvalidSlot::InvalidSlot | ( | void |  | ) |

PortableInterceptor::InvalidSlot::InvalidSlot | ( | const InvalidSlot & |  | ) |

PortableInterceptor::InvalidSlot::~InvalidSlot | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableInterceptor::InvalidSlot::_alloc | ( | void |  | ) | `[static]`

PortableInterceptor::InvalidSlot * PortableInterceptor::InvalidSlot::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void PortableInterceptor::InvalidSlot::_raise | ( | void |  | ) | `[virtual]`

void PortableInterceptor::InvalidSlot::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void PortableInterceptor::InvalidSlot::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * PortableInterceptor::InvalidSlot::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableInterceptor::InvalidSlot::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr PortableInterceptor::InvalidSlot::_type | ( | void |  | ) | const`[virtual]`

InvalidSlot& PortableInterceptor::InvalidSlot::operator= | ( | const InvalidSlot & |  | ) |

The documentation for this exception was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h
- PortableInterceptorC.cpp